API SpecificationUploads
Create renderer access token
Creates a short-lived JWT token for accessing a renderer archive upload via the renderer proxy.
Authorization
OAuth2 upl:bucket:readAuthorizationBearer <token>
OAuth 2.0 authorization
In: header
Scope: upl:bucket:read
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
bucketRef?|
Reference to a bucket by ID or hostname
uploadRef?|
Reference to an upload by ID or path
[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.BucketUploadsService/CreateRendererAccessToken" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"token": "string",
"expiresAt": "2023-01-15T01:30:15.01Z"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}